<?php
  // Start the session
  require_once('startsession.php');

  // Insert the page header
  $page_title = 'Where opposites attract!';
  require_once('header.php');

  require_once('appvars.php');
 // require_once('connectvars.php');

  // Show the navigation menu
  require_once('navmenu.php');

  // Connect to the database 
  try {
    /**************************************
      * open connection                    *
    **************************************/
 
    // Create (connect to) SQLite database in file
    $file_db = new PDO('sqlite:mismatchdb');
    
	// Set errormode to exceptions
    $file_db->setAttribute(PDO::ATTR_ERRMODE, 
                            PDO::ERRMODE_EXCEPTION);

	// Retrieve the user data from mismatch_user table
	$query = "SELECT user_id, first_name, picture FROM mismatch_user WHERE first_name IS NOT NULL ORDER BY join_date DESC";
	$results = $file_db->query($query);

	// Loop through the array of user data, formatting it as HTML
	echo '<h4>Latest members:</h4>';
	echo '<table>';
	foreach ($results as $row) {
		if (is_file(MM_UPLOADPATH . $row['picture']) && filesize(MM_UPLOADPATH . $row['picture']) > 0) {
		  echo '<tr><td><img src="'.MM_UPLOADPATH.$row['picture'].'" alt="'. $row['first_name'] . '"></td>';
		}
		else {
		  echo '<tr><td><img src="' . MM_UPLOADPATH . 'nopic.jpg' . '" alt="' . $row['first_name'] . '" /></td>';
		}
		if (isset($_SESSION['user_id'])) {
		  echo '<td><a href="viewprofile.php?user_id=' . $row['user_id'] . '">' . $row['first_name'] . '</a></td></tr>';
		}
		else {
		  echo '<td>' . $row['first_name'] . '</td></tr>';
		}
	}
	echo '</table>';

	$file_db = null;
  }
  catch(PDOException $e) {
    // Print PDOException message
    echo $e->getMessage();
  }
?>

<?php
  // Insert the page footer
  require_once('footer.php');
?>
