<?php
 
  // Start the session
  session_start();

  // Clear the error message
  $error_msg = "";

    
  // Connect to the database 
	try {
		/**************************************
		  * open connection                    *
		**************************************/
	 
		// Create (connect to) SQLite database in file
		$file_db = new PDO('sqlite:mismatchdb');
		
		// Set errormode to exceptions
		$file_db->setAttribute(PDO::ATTR_ERRMODE, 
								PDO::ERRMODE_EXCEPTION);
		
		// If the user isn't logged in, try to log them in
		if (!isset($_SESSION['user_id'])) 
		{
			if (isset($_POST['submit'])) 
			{
			
				// Grab the user-entered log-in data
				$user_username = trim($_POST['username']);
				$user_password = trim($_POST['password']);

				if (!empty($user_username) && !empty($user_password)) {
					// Look up the username and password in the database
					$query = "SELECT user_id, username FROM mismatch_user WHERE username = '$user_username' AND password = '$user_password'";
					$results = $file_db->query($query);
					$row = $results->fetch(PDO::FETCH_ASSOC);
					
					if($row != NULL)			
					{        
						// The log-in is OK so set the user ID and username session vars (and cookies), and redirect to the home page
						$_SESSION['user_id'] = $row['user_id'];
						$_SESSION['username'] = $row['username'];
						setcookie('user_id', $row['user_id'], time() + (60 * 60 * 24 * 30));    // expires in 30 days
						setcookie('username', $row['username'], time() + (60 * 60 * 24 * 30));  // expires in 30 days
						$home_url = 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . '/index.php';
						header('Location: ' . $home_url);
					}
					else {
						// The username/password are incorrect so set an error message
						$error_msg = 'Sorry, you must enter a valid username and password to log in.';
					}
				}
				else {
					// The username/password weren't entered so set an error message
					$error_msg = 'Sorry, you must enter your username and password to log in.';
				}
			}
		}
		$file_db = null;
	}
	catch(PDOException $e) {
		// Print PDOException message
		echo $e->getMessage();
	}
	
	// Insert the page header
	$page_title = 'Log In';
	require_once('header.php');

	// If the session var is empty, show any error message and the log-in form; otherwise confirm the log-in
	if (empty($_SESSION['user_id'])) 
	{
		echo '<p class="error">' . $error_msg . '</p>';
	  
?>

	  <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
		<fieldset>
		  <legend>Log In</legend>
		  <label for="username">Username:</label>
		  <input type="text" name="username" value="<?php if (!empty($user_username)) echo $user_username; ?>" /><br />
		  <label for="password">Password:</label>
		  <input type="password" name="password" />
		</fieldset>
		<input type="submit" value="Log In" name="submit" />
	  </form>

<?php
	}
	else {
		// Confirm the successful log-in
		echo('<p class="login">You are logged in as ' . $_SESSION['username'] . '.</p>');
	}
?>

<?php
  // Insert the page footer
  require_once('footer.php');
?>
