<?php
  // Start the session
  require_once('startsession.php');

  // Insert the page header
  $page_title = 'Questionnaire';
  require_once('header.php');

  require_once('appvars.php');
 
  // Make sure the user is logged in before going any further.
  if (!isset($_SESSION['user_id'])) {
    echo '<p class="login">Please <a href="login.php">log in</a> to access this page.</p>';
    exit();
  }

  // Show the navigation menu
  require_once('navmenu.php');

  // Connect to the database 
	try {
		/**************************************
		  * open connection                    *
		**************************************/
	 
		// Create (connect to) SQLite database in file
		$file_db = new PDO('sqlite:mismatchdb');
		
		// Set errormode to exceptions
		$file_db->setAttribute(PDO::ATTR_ERRMODE, 
								PDO::ERRMODE_EXCEPTION);
		

		// If this user has never answered the questionnaire, insert empty responses into the database
		$query = "SELECT * FROM mismatch_response WHERE user_id = '" . $_SESSION['user_id'] . "'";
		$data = $file_db->query($query);
		$row = $data->fetch(PDO::FETCH_ASSOC);
		if ($row == NULL) 
		{
			// First grab the list of topic IDs from the topic table
			$query = "SELECT topic_id FROM mismatch_topic ORDER BY category_id, topic_id";
			$data = $file_db->query($query);
			$topicIDs = array();
			while ($row = $data->fetch(PDO::FETCH_ASSOC)) 
			{
				array_push($topicIDs, $row['topic_id']);
			}

			// Insert empty response rows into the response table, one per topic
			foreach ($topicIDs as $topic_id) 
			{
				$query = "INSERT INTO mismatch_response (user_id, topic_id) VALUES ('" . $_SESSION['user_id']. "', '$topic_id')";
				$file_db->query($query);
			}
		}

		// If the questionnaire form has been submitted, write the form responses to the database
		if (isset($_POST['submit'])) 
		{
		// Write the questionnaire response rows to the response table
			foreach ($_POST as $response_id => $response) {
				$query = "UPDATE mismatch_response SET response = '$response' WHERE response_id = '$response_id'";
				$file_db->query($query);
			}
			echo '<p>Your responses have been saved.</p>';
		}

		// Grab the response data from the database to generate the form
		$query = "SELECT mr.response_id, mr.topic_id, mr.response, mt.name AS topic_name, mc.name AS category_name " .
		"FROM mismatch_response AS mr " .
		"INNER JOIN mismatch_topic AS mt USING (topic_id) " .
		"INNER JOIN mismatch_category AS mc USING (category_id) " .
		"WHERE mr.user_id = '" . $_SESSION['user_id'] . "'";
		$data =$file_db->query($query);
		$responses = array();
		while ($row = $data->fetch(PDO::FETCH_ASSOC)) 
		{
			array_push($responses, $row);
		}

		$file_db = null;
	}
	catch(PDOException $e) {
		// Print PDOException message
		echo $e->getMessage();
		exit();
	}

	// Generate the questionnaire form by looping through the response array
	echo '<form method="post" action="' . $_SERVER['PHP_SELF'] . '">';
	echo '<p>How do you feel about each topic?</p>';
	$category = $responses[0]['category_name'];
	echo '<fieldset><legend>' . $responses[0]['category_name'] . '</legend>';
	foreach ($responses as $response) {
		// Only start a new fieldset if the category has changed
		if ($category != $response['category_name']) {
			$category = $response['category_name'];
			echo '</fieldset><fieldset><legend>' . $response['category_name'] . '</legend>';
		}

		// Display the topic form field
		echo '<label ' . ($response['response'] == NULL ? 'class="error"' : '') . ' for="' . $response['response_id'] . '">' . $response['topic_name'] . ':</label>';
		echo '<input type="radio" id="' . $response['response_id'] . '" name="' . $response['response_id'] . '" value="1" ' . ($response['response'] == 1 ? 'checked="checked"' : '') . ' />Love ';
		echo '<input type="radio" id="' . $response['response_id'] . '" name="' . $response['response_id'] . '" value="2" ' . ($response['response'] == 2 ? 'checked="checked"' : '') . ' />Hate<br />';
	}
	  echo '</fieldset>';
	  echo '<input type="submit" value="Save Questionnaire" name="submit" />';
	  echo '</form>';

	  // Insert the page footer
	  require_once('footer.php');
?>
